#include "uservars.h"

UserVars::UserVars()
{
  vars.clear();
}

int UserVars::Read(std::string name)
{
  std::map<std::string, int>::iterator pos;
  
  pos = vars.find(name);
  if (pos == vars.end())
    return(0);
  else
    return(pos->second);
}

void UserVars::Write(std::string name, int val)
{
  std::map<std::string, int>::iterator pos;
  
  pos = vars.find(name);
  if (pos == vars.end())
  {
    std::pair<std::map<std::string, int>::iterator,bool> p;
    p = vars.insert(std::make_pair(name, val));
  }
  else
    pos->second = val;
}
