// -*- mode: c; mode: fold -*-

/*
 * Copyright (C) 2008  Jens Wilhelm Wulf, j dot w dot wulf at gmx dot net
 * Licensed under the GNU General Public License version 2.
 */

#ifndef USERVARS_H
# define USERVARS_H

#include <string>
#include <map>

class UserVars
{
public:
  UserVars();
  
  int Read(std::string name);
  void Write(std::string name, int val);
  
private:
  std::map<std::string, int> vars;
};

#endif
